Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7739/?format=api
{ "ob_id": 7739, "uuid": "76f82001334afceadfe0df6e1544d75d", "title": "British Antarctic Survey Automatic Weather Station (AWS) data from the Orographic Flows and the Climate of the Antarctic Peninsula (OFCAP) project (2011)", "abstract": "Ground-based meteorological data from Automatic weather stations (AWS) were collected to observe the atmospheric flow along a transect across the Antarctic Peninsula mountains around 67 degrees south during the NERC-funded Orographic Flows and the Climate of the Antarctic Peninsula (OFCAP) project (2011). These AWS were located on the Avery Plateau, Cole Peninsula and North Adelaide Island.", "keywords": "BAS, meteorology, Antarctic, OFCAP", "publicationState": "citable", "dataPublishedTime": "2014-09-19T11:29:33", "doiPublishedTime": "2014-09-23T23:00:00", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/7740/?format=api", "dataPath": "/badc/ofcap/data/aws", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 12205185, "numberOfFiles": 4, "fileFormat": "<div property=\"cedacat:formats\">\n<div class=\"formats\">Data availability and file format</div>\n<p>\nAWS Data supplied to the BADC by the OFCAP project are stored in the <a href=\"http://badc.nerc.ac.uk/cgi-bin/data_browser/data_browser/badc/ofcap/data/aws\">OFCAP AWS data archive </a> at the BADC. Data are publicly available but users of the data are requested to acknowledge the data providers and use the citation below</p>\n\n<p>Files are available in <a href=\"http://badc.nerc.ac.uk/help/formats/NASA-Ames/\">NASA Ames ASCII format</a>\n</p>\n<p>BAS MASIN aircraft data and BAS radiosonde data from OFCAP are also available in <a href=\"http://badc.nerc.ac.uk/cgi-bin/data_browser/data_browser/badc/ofcap/data/\">OFCAP data archive</a>.\n</p>\n\n\n</div>\n\n\n\n\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2233/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/168/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52353/?format=api" ], "dataLineage": "Data were collected and prepared by the British Antarctic Survey Automatic Weather Station team before submission to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5003/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5004/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7574/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7738/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32097/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32098/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32099/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32100/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42625/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42629/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46798/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32096/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42627/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42626/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42628/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7744/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }